<ion-header>
  <!-- <ion-toolbar>
    <ion-title>
      Milestones
    </ion-title>
  </ion-toolbar> -->
</ion-header>

<ion-content>
    
    <div class="ms-login-image">
            <img src="../assets/images/logomark-mono-white@3x.png" class="ms-login-logo" />
    </div>

    <div class="ms-mob-footer-login">

        <form [formGroup]="loginForm"> 
            <ion-list class="ms_list">
                <div>
                    <!-- <ion-label>Email</ion-label> -->
                    <ion-input formControlName="email" required type="email" class="ms_email" placeholder="Email"></ion-input>
                </div>

                <div>
                    <!-- <ion-label>Password</ion-label> -->
                    <ion-input formControlName="password" required type="password" class="ms_password" placeholder="Password"></ion-input>
                </div>

                <ion-row>
                    <ion-col size="6">
                        <button class="ms_email_login" [disabled]="!loginForm.valid" (click)="email_login(loginForm.value)">
                            <a class="ms-btn ms-icon-btn ms-btn-primary ms-full-width">
                                <span class="ms_text">email login</span>
                                <!-- <span class="ms_text ms-btn-ico">
                                    <i class="fab fa-Mail"></i>
                                </span> -->
                            </a>
                        </button>
                    </ion-col>
                    <ion-col size="6">
                        <button class="ms_email_login" (click)="signUp()">
                            <a class="ms-btn ms-icon-btn ms-btn-secondary ms-full-width">
                                <span class="ms_text">sign up</span>
                            </a>
                        </button>
                    </ion-col>
                </ion-row>
                

                <ion-row>
                    <ion-col size="12" style="text-align: center;">or</ion-col>
                </ion-row>
                <br>
            </ion-list>
        </form>

        <a on-click="fb_login()" class="ms-btn ms-icon-btn ms-btn-tertiary ms-full-width">
            <span class="ms_text">login with facebook</span>
            <span class="ms_text ms-btn-ico">
                <i class="fab fa-facebook-f"></i>
            </span>
        </a>

        <a on-click="google_login()" class="ms-btn ms-icon-btn ms-btn-alert ms-full-width">
            <span class="ms_text">login with google</span>
            <span class="ms_text ms-btn-ico">
                <i class="fab fa-google"></i>
            </span>
        </a>
        <p class="ms-login-footnote">
            expecting something else? download the vendor companion app or contact milestones for more information.
        </p>
    </div>

</ion-content>
